{% extends "base.html" %}


{% block jumbotron_content %}
  <h1>{{workshop_name|title}}<small>/{{program_name}}</small></h1>
  <h2>Принятые заявки</h2>

<ul class="nav nav-pills" role="tablist">
  <li role="presentation">{% include 'intake/curators/_wp_apps_tab.html' %}</li>
  <li role="presentation" class="active">{% include 'intake/curators/_wp_retry_tab.html' %}</li>
  <li role="presentation">{% include 'intake/curators/_wp_accepted_tab.html' %}</li>
  <li role="presentation">{% include 'intake/curators/_wp_declined_tab.html' %}</li>
</ul>

{% include 'intake/curators/_prepods_inactive_tabs.html' %}

{% endblock %}

{% block content %}
<div class="container">
{% for a in applications %}
  {% with a.full_info as u %}
<div class="row thumbnail">
  <div class="col-md-2">
    <div class="thumbnail">
      <img src="{{ u.photo.photo_absolute_url }}">
    </div>

    {% if a.is_changeable_by_curator %}
      <div class="caption">
        <p><a href="{% url 'curators:app_accept' a.pk %}" class="btn btn-primary" role="button"> Принять </a></p>
        <p>
          <a href="{% url 'curators:app_decline' a.pk %}" class="btn btn-default" role="button">
             Отказать
          </a>
        </p>
      </div>
    {% else %}
      <div class="caption">
        <small>
          <b class="glyphicon glyphicon-lock"></b>
          Wait, what? А у вас как куратора нет прав на то, чтобы изменить эту заявку.
        </small>
      </div>
    {% endif %}
  </div>

  <div class="col-md-5">
    <h4>{{ u.last_name }} {{ u.first_name }} <span class="text-muted">{{ u.middle_name }}</span></h4>
    <dt><small>{{ u.location }}</small></dt>
    <dd><small>Возраст: {{ u.age }} (ДР {{ u.birthdate }})</small></dd>

    <dl>
      <dt>email: <a href="mailto:{{ u.email }}">{{ u.email }}</a></dt>
      {% if u.uac %}
        <dt>Другие контакты:</dt>
        {% for c_label, c in u.uac.get_data %}
          <dd><strong>{{ c_label}}:</strong> {{ c }}</dd>
        {% empty %}
          <dd>Других контактов не указано</dd>
        {% endfor %}
      {% endif %}

      {% if u.is_underage %}
        <dt>Родитель </dt>
        {% if u.underage_data.parental_confirm %}<dd>(согласие получено)</dd>{% endif %}
        <dd>{{ u.underage_data.parental_phone }}</dd>
        <dd>{{ u.underage_data.parental_email }}</dd>
        <dd>{{ u.underage_data.parental_name }}</dd>
      {% endif %}
    </dl>

    <a href="{% url 'curators:app_details' a.pk %}">Вся анкета</a>

  </div>

  <div class="col-md-5">
      <dt>Заявка создана</dt>
        <dd>{{ a.created }}<br/>
        {{ a.created|timesince }} назад</dd>
      <dt>Прошла 1-й тур</dt>
        <dd>{{ a.bucks.passed_first_step }}<br/>
        {{ a.bucks.passed_first_step|timesince }} назад</dd>
      {% if a.bucks.declined_by_workshop %}
      <dt>Отказали на изначальной мастерской</dt>
        <dd>{{ a.bucks.declined_by_workshop }}<br/>
            {{ a.bucks.declined_by_workshop|timesince }} назад</dd>
        {% if a.has_decline_email %}
          {% with a.get_decline_email as email %}
          <div><a data-toggle="modal" data-target="#decline-email-modal-{{ a.pk}}" class="btn btn-default">Читать письмо отказа</a></div>
          <!-- modal dialog -->
          <div class="modal" tabindex="-1" role="dialog" aria-labelledby="ModalLabel" aria-hidden="true" id="decline-email-modal-{{ a.pk }}">
            <div class="modal-dialog modal-lg">
              <div class="modal-content">
                <div class="modal-header">
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                  <h4 class="modal-title" id="ModalLabel">&laquo;{{ email.subject }}&raquo;</h4>
                </div>
                <div class="modal-body">
                  <pre class="pre-scrollable pre-comment">{{ email.text }}</pre>
                </div>

              </div>
            </div>
          </div>
          {% endwith %}

        {% endif %}
      {% endif %}


      {% if a.has_homework %}
        {% if a.has_complete_homework %}
          <dt>Вступительное задание (на нашу программу)<br/>от {{ a.get_homework.date_uploaded }}</dt>
          <dd><a class="btn btn-default" href="{% url 'curators:app_inspect_homework' a.pk a.get_homework.pk %}">Посмотреть</a> <a class="btn btn-info" href="{{ a.get_homework.response_absolute_url }}">Скачать файл ответа</a></dd>
        {% else %}
          <dd><em>Участник получил вступительное задание для нашей программы<br/>{{ a.homework_sent_datetime|timesince }} назад</em></dd>
          <dd><abbr title="Когда ответ будет получен, здесь будет кнопка, нажав на которую можно будет скачать ответ на вступительное задание, которое было отправлено этому участнику.">(Ответа ещё не получили)</abbr></dd>
        {% endif %}
      {% else %}
        {% if wp_has_assignment %}
          <dt>Выполненного вступительного задания нет</dt>
          <dd><a href="{% url 'curators:app_send_homework' a.pk %}" class="btn btn-default">Выслать</a></dd>
        {% endif %}
      {% endif %}
  </div>

</div>

  {% endwith %}
{% empty %}
<div class="row">
  <div class="col-md-6">
Нет заявок.
  </div>
</div>
{% endfor %}


{% include "intake/_paginator.html" %}

</div>
{% endblock %}
